*this do file prepares the hh dataset from the CRS and HFSSSW4 main data files

*separated roster
use "${gsdDownloads}/CRS/hh_roster_separated.dta" , clear
gen dataset = 1
append using "${gsdDownloads}/HFSSSW4/hh_roster_separated.dta"
replace dataset = 2 if missing(dataset)
label define dataset 1 "CRS" 2 "HFS"
label val dataset dataset
label var dataset "Dataset"
*clean
rename hh_list_separated hhm_name_sep
*Removing characters and leading and trailing blanks and convert the name variables to upper.
replace hhm_name_sep=subinstr(hhm_name_sep,`"""',"",.)
replace hhm_name_sep = strtrim(hhm_name_sep)
replace hhm_name_sep = upper(hhm_name_sep)
label var hhm_name_sep "Separated household member name"
*some name were entered as numbers, replace them 
replace hhm_name_sep="" if length(hhm_name_sep)<=2
*clean not applicables saved as missing
ds, has (type numeric)
foreach v in `r(varlist)' {
	replace `v' = .z if `v'== .
}
*clean missings saved as -999999999
ds , has(type numeric)
foreach v in `r(varlist)' {
	replace `v' = . if `v'==-999999999
}
ds, has (type string)
foreach v in `r(varlist)' {
	replace `v' = "" if `v'== "##N/A##"
}
*drop rows with all missing
egen mi=rownonmiss(*) , strok
drop if mi<6
drop mi
*clean string questions not asked
ds, has (type string)
foreach v in `r(varlist)' {
	replace `v' = "N/A" if `v'== ""
}
*remove duplicates 
save "${gsdTemp}/hhm_separated_raw.dta", replace

*hh roster
use "${gsdDownloads}/HFSSSW4/hhroster_age.dta", clear
tostring *_spec *_other, replace 
gen dataset = 2
append using "${gsdDownloads}/CRS/hhroster_age.dta"
replace dataset = 1 if missing(dataset)
label define dataset 1 "CRS" 2 "HFS"
label val dataset dataset
label var dataset "Dataset"
order emp_7d_prim_isic_prev, after(earning_prev)
*Generate number of household members per house
bysort ParentId1: gen hhsize = _N
label var hhsize "Household size"
order hhsize, after(Id)
*clean
rename hh_list hhm_name
*Removing characters and leading and trailing blanks and convert the name variables to upper.
replace hhm_name=subinstr(hhm_name,`"""',"",.)
replace hhm_name = strtrim(hhm_name)
replace hhm_name = upper(hhm_name)
sort hhm_name
label var hhm_name "Household member name"
*some name were entered as numbers, replace them 
replace hhm_name="" if length(hhm_name)<=2
*clean not applicables saved as missing
ds, has (type numeric)
foreach v in `r(varlist)' {
	replace `v' = .z if `v'== .
}
*clean missings saved as -999999999
ds , has(type numeric)
foreach v in `r(varlist)' {
	replace `v' = . if `v'==-999999999
}
ds, has (type string)
foreach v in `r(varlist)' {
	replace `v' = "" if `v'== "##N/A##"
}
*drop rows with all missing
egen mi=rownonmiss(*) , strok
drop if mi<5
drop mi
*clean string questions not asked
ds, has (type string)
foreach v in `r(varlist)' {
	replace `v' = "N/A" if `v'== ""
}
*remove duplicates

save "${gsdTemp}/hhm_raw.dta", replace

*create dataset with just household size
use "${gsdTemp}/hhm_raw.dta", clear
collapse hhsize , by(ParentId1)
save "${gsdData}/0-RawTemp/hhsize.dta", replace

