*this do file does final preparations and save clean input data

*hh
use "${gsdData}/0-RawOutput/hh.dta", clear
*******************TEMPORARY
keep if dataset==2
*******************TEMPORARY
*drop unecessary variables
drop sample_*
drop rf_* rnf_* rl_* ra_* 
drop today* date datetime*
drop ssSys_IRnd gps_inaccurate wrong_location Action tablet_account camp missing_ea team module1 module2 module3 module4 beh1 beh2 interview_num
drop missing_hhroster nonmissing empty_interview valid valid_reason  duration	 dow wBegin replacement_ea hhh_name_yn 
drop ParentId1 date date_alt duration_alt my_date
drop move_no_push_main__n98 move_no_push_main__n99 move_no_pull_main__n98 move_no_pull_main__n99 move_yes_push_main__n98 move_yes_push_main__n99 move_no_org_main__n98 move_no_org_main__n99 move_yes_pull_main__n98 move_yes_pull_main__n99
drop enum_comments
*drop confidential HFS information
drop enum_clean enum_team loc__Latitude loc__Longitude loc__Accuracy loc__Altitude loc__Timestamp hh_list__* hh_list_separated__* s_ea_full gpsea__Latitude gpsea__Longitude gpsea__Accuracy gpsea__Altitude gpsea__Timestamp contact_phone_yn contact_phone_s contact_yn gps__Latitude gps__Longitude gps__Accuracy gps__Altitude gps__Timestamp hhh_name_s  hh_list_s__* contact_phone_share contact_phone testimonial testimonial_consent 
*drop CRS variables
drop rep_ea_idp ea_block return1 visit_n strid_seg1ret1 hhid_seg1ret1 replacement_hh str_n_o hhid_rep n_str seg_str_prev1 seg_str_prev2 seg_str_prev3 seg_str_prev4 seg_str_prev5 n_hh seg_hh_prev1 seg_hh_prev3 seg_hh_prev2 seg_hh_prev4 seg_hh_prev5 juba_poc1 qr_code_hh
*label variables
label var hhh_id "Household head ID"
label var hhsize "Household size"
label var month "Month of data collection"
label var weight "Household weight based on listing scaled to Census, waves 1 or 2 panel weights"
label var mod_opt "Module assigned for multiple imputation of consumption"
*relabel some items
label var check "D.3 You had earlier said that the household had bread %last_bread_s%. However, you did not report any consumption of bread and cereals in the last 7 days. Are you sure this is correct?"
label var check_m "D.13 You had earlier said that the household had meat %last_meat_s%. However, you did not report any "
label var check_f "D.21 You had earlier said that the household had fruits %last_fruit_s%. However, you did not report any " 
label var check_p "D.29 You had earlier said that the household had pulses and vegetables %last_pulses_s%. However, you did not report any " 
label var los_reason "F.7 Without the conflict that started in December 2013, would you still have less livestock today than you had in the year 2013?"
label var hhr_id_perc "H.1 Please select the main respondent for this section. Hint: If you are talking to two people, you have to decide who is the main respondent for this interview."
label var los_reason "F.7 Without the conflict that started in December 2013, would you still have less livestock today than you had in the year 2013?"
label var migr_idp "A.5 Are you living here because you were forced to leave your original place of "
local i=0
foreach v of varlist beh_time_mon beh_time_mon_more beh_time_mon_less beh_time_yr beh_time_yr_more beh_time_yr_less beh_time_risk beh_risk_bus {
	local i=`i'+1
	local lab : var label `v'
	label var `v' "H.`i' which would you prefer? `lab'"
}
*rename var with too long names
rename (dec13compare_neighborrelate_disp conflict_resolve_solution_sp) (dec13compare_neighborrel conflict_resolve_sol_sp)
*Tag non-sn items
local nonsn "dataset state ea hh weight* enum mod_opt beh_treat_opt hhsize month hhh_id panel"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
*order variables
order *, sequential
order enum, after(hh)
order A_5_migr_idp, after(A_4_maycontinue)
order weight* hhsize, after(hh)
order hhh_id, before(B_3_hhh_id0)
order dataset state ea hh, first
order mod_opt beh_treat_opt  month, after(enum)
save "${gsdData}/1-CleanInput/hh.dta", replace

*hhm
use  "${gsdData}/0-RawOutput/hhm.dta", clear
*******************TEMPORARY
keep if dataset==2
*******************TEMPORARY
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop month hhm_name ParentId1 hhsize
order dataset, first
*relabel variables
*Tag non-sn items
local nonsn "dataset state ea hh hhmid"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
save "${gsdData}/1-CleanInput/hhm.dta", replace 

***hhm separated
use  "${gsdData}/0-RawOutput/hhm_separated.dta", clear
*******************TEMPORARY
keep if dataset==2
*******************TEMPORARY
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop hhm_name_sep ParentId1 month
order dataset, first
*Tag non-sn items
local nonsn "dataset state ea hh hhmid_sep"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
save "${gsdData}/1-CleanInput/hhm_separated.dta", replace 

*food
use  "${gsdData}/0-RawOutput/food.dta", clear
*******************TEMPORARY
keep if dataset==2
*******************TEMPORARY
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 month
rename rf_* *
rename relevanceyn cons
*fix labels
label var cons "D.4 Over the past 7 days, did anyone in your household consume any of the items listed below."
local i=4
foreach v in cons purc {
	local i=`i'+1
	foreach w in quant unit low high {
		local lab : var lab `v'_`w'
		local llab = substr("`lab'",6,.)
		label var `v'_`w' "D.`i' `llab'"
	}
}
foreach v in pric_total pric_total_curr pric_total_sp pric_zero pric_low pric_high {
	local lab : var lab `v'
	local llab = substr("`lab'",6,.)
	label var `v' "D.7 `llab'"
}
local i=7 
foreach v in free_yn free_quant free_main {
	local i=`i'+1
	local lab : var lab `v'
	local llab = substr("`lab'",6,.)
	label var `v' "D.`i' `llab'"
}
label var free_other "D.10 If other, please specify where most of the free %rostertitle% came from."
label var mod_opt "Optional module of consumption item"
label var itemid "Food consumption item"
*reorder
order dataset, first
order mod_opt, after(itemid)
*Tag non-sn items
local nonsn "dataset state ea hh itemid mod_opt"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
save "${gsdData}/1-CleanInput/food.dta", replace 

*nonfood
use  "${gsdData}/0-RawOutput/nonfood.dta", clear
*******************TEMPORARY
keep if dataset==2
*******************TEMPORARY
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 itemlabel month
*rename variables
rename rnf_* *
rename relevanceyn cons
*fix some labels
label var mod_opt "Optional module of consumption item"
label var itemid "Food consumption item"
label var cons "E.2 Over the past %item_recall% days, did anyone in your household buy or receive for free any of the items listed below. Please record yes or no for each of the items listed below:"
order mod_opt cons, after(itemid)
*Tag non-sn items
local nonsn "dataset state ea hh itemid mod_opt"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
order dataset, first
save "${gsdData}/1-CleanInput/nonfood.dta", replace 

*livestock
use  "${gsdData}/0-RawOutput/livestock.dta", clear
*******************TEMPORARY
keep if dataset==2
*******************TEMPORARY
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 month
*Tag non-sn items
local nonsn "state ea hh index dataset"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
order dataset, first
save "${gsdData}/1-CleanInput/livestock.dta", replace 

*assets
use  "${gsdData}/0-RawOutput/assets.dta", clear
*******************TEMPORARY
keep if dataset==2
*******************TEMPORARY
*merge with hh data to remove invalid interviews
merge m:1 dataset state ea hh using "${gsdData}/0-RawOutput/hh.dta", assert(match master using) keep(match) nogen keepusing(month)
drop ParentId1 month
label var prnew_curr "G.5 Currency"
label var prnew_sp "G.5 Please specify the currency"
*Tag non-sn items
local nonsn "state ea hh index dataset"
ds `nonsn', not
*Save variable names and variable labels
foreach var of varlist `r(varlist)' {
	*Store variable labels
	local oldlabel : variable label `var'
	*Obtain questionnaire item numbers from variable labels
	local space = strpos(`"`oldlabel'"', " ")
	local sn = substr(`"`oldlabel'"', 1,`space'-1)
	*Remove period from item numbers
	local sn = subinstr(`"`sn'"',".","_",4)
	*Rename variables their respective item numbers
	rename `var' `sn'_`var'
} 
order dataset, first
save "${gsdData}/1-CleanInput/assets.dta", replace 

*check that we have the right number of hh, state, ea in each dataset
foreach v in hh hhm hhm_separated food nonfood assets livestock {
	display "`v'"
	use "${gsdData}/1-CleanInput/`v'.dta", clear
	egen id=group(state ea hh)
	distinct dataset state ea id
}
