*this do file prepares nonfood items

if "${gsdData}"=="" {
	di as error "Configure work environment by running init.do before running the code."
	error 1
}
set more off

*create nonfooditem labels key file
import delimited "${gsdDataRaw}/rnf_nonfood.csv", clear varnames(1)
collapse itemid , by(itemlabel mod_opt)
*drop item "Other"
drop if itemid==20205
save "${gsdTemp}/nonfood_itemlabels.dta", replace

*loop over the datasets
local datasets = "${available}" 
foreach d of local datasets {
	*Extracting nonfood relevance from the main data file
	use "${gsdDownloads}/`d'/${`d'}.dta" , clear
	keep rnf* Id
	ren rnf_item__* a*
	ren rnf_item_yr__* a*
	reshape long a, i(Id) j(itemid)
	ren a rnf_relevanceyn  
	replace rnf_relevanceyn=. if rnf_relevanceyn==-999999999
	label define lyn 0 "No" 1 "Yes"
	label val rnf_relevanceyn lyn
	rename Id ParentId1
	save "${gsdTemp}/nonfood_relevance_`d'.dta", replace
	*prepare nonfood
	use "${gsdDownloads}/`d'/rnf_nonfood.dta", clear
	*drop item "Other"
	drop if Id==20205
	rename (Id ) (itemid )
	merge m:1 itemid using "${gsdTemp}/nonfood_itemlabels.dta", assert(match) nogen
	merge 1:1 ParentId1 itemid using "${gsdTemp}/nonfood_relevance_`d'.dta", assert(match) nogen
	labmask itemid ,val(itemlabel)
	*Eliminate don't know and refused to respond answers.
	replace rnf_relevanceyn=. if rnf_relevanceyn!=1
	*clean missings saved as -999999999
	ds , has(type numeric)
	foreach v in `r(varlist)' {
		replace `v' = .z if `v'==-999999999
	}
	save "${gsdTemp}/nonfood_`d'.dta", replace
} 
*append
use "${gsdTemp}/nonfood_HFSSSW4.dta", clear
tostring rnf_pric_total_sp, replace
append using "${gsdTemp}/nonfood_CRS.dta" 
*keep only interviews from the main dataset
merge m:1 ParentId1 using "${gsdTemp}/hh_raw.dta", nogen assert(match master) keep(match) keepusing(dataset)
save "${gsdTemp}/nonfood_raw.dta", replace

