*prepare livestock data

*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}	


local datasets = "${available}" 
foreach d of local datasets {
	*create relevance file
	use "${gsdDownloads}/`d'/${`d'}.dta" , clear
	keep rl* Id
	ren rl_raise_yn__* a*
	ren rl_raise_prev_yn__* b*
	reshape long a b, i(Id) j(index)
	ren (a b) (rl_relevanceyn rl_relevanceyn_pre)
	replace rl_relevanceyn=. if rl_relevanceyn==-999999999
	replace rl_relevanceyn_pre=. if rl_relevanceyn_pre==-999999999
	label define lyn 0 "No" 1 "Yes"
	label val rl_relevanceyn rl_relevanceyn_pre lyn
	rename Id ParentId1
	rename index Id
	save "${gsdTemp}/livestock_relevance_`d'.dta", replace
	*merge with livestock data
	use "${gsdTemp}/livestock_relevance_`d'.dta", clear
	merge 1:1 ParentId1 Id using "${gsdDownloads}/`d'/rl_livestock.dta", assert(match) nogen
	merge 1:1 ParentId1 Id using "${gsdDownloads}/`d'/rl_livestock_pre.dta", assert(match) nogen
	rename rl_* *
	rename (relevanceyn relevanceyn_pre own_pre) (own_yn own_pre_yn own_pre_n)
	*fix some labels
	label var own_yn "F.1 Over the last 12 months, has any household member raised any livestock listed below."
	label var own_pre_yn "F.5 Before the conflict started in December 2013, did any household member raise any livestock listed below."
	label var own_pre_n "F.6 How many heads of %rostertitle% did your household own in 2013 before the c"
	label var own_pre_high "F.6 You have entered a high number: %rl_own_pre% %rostertitle%. Confirm that th"
	label var own_pre_r "F.7 Did the household have the right to sell, mortgage, rent out or give away fo"
	label var own_pre_r_n "F.6 For how many heads of %rostertitle% did your household have the right to sel"
	order Id own_yn own_n own_high own_r own_r_n own_pre_yn own_pre_n own_pre_high own_prev_r own_pre_r_n ParentId1
	label define llivestock 1 "Cattle" 2 "Horses" 3 "Donkey/Mules" 4 "Pigs" 5 "Sheep" 6 "Goats" 7 "Poultry" 8 "Camels"
	label val Id llivestock
	save "${gsdTemp}/livestock_raw_`d'.dta", replace
}	
*append
use "${gsdTemp}/livestock_raw_CRS.dta" , clear
append using "${gsdTemp}/livestock_raw_HFSSSW4.dta"
*keep only valid interviews
merge m:1 ParentId1 using "${gsdTemp}/hh_raw.dta", keepusing(dataset) nogen assert(match master) keep(match)
rename Id index
label var index "Livestock"
save "${gsdTemp}/livestock_raw.dta" , replace
