*this do file prepares assets

if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}		

local datasets = "${available}" 
foreach d of local datasets {
	*create relevance file
	use "${gsdDownloads}/`d'/${`d'}.dta" , clear
	keep ra_* Id
	ren ra_own__* a*
	ren ra_own_prev__* b*
	reshape long a b, i(Id) j(index)
	ren (a b) (ra_relevanceyn ra_relevanceyn_pre)
	replace ra_relevanceyn=. if ra_relevanceyn==-999999999
	replace ra_relevanceyn_pre=. if ra_relevanceyn_pre==-999999999
	label define lyn 0 "No" 1 "Yes"
	label val ra_relevanceyn ra_relevanceyn_pre lyn
	rename Id ParentId1
	rename index Id
	save "${gsdTemp}/assets_relevance_`d'.dta", replace
	*merge with data
	use "${gsdTemp}/assets_relevance_`d'.dta", clear
	merge 1:1 ParentId1 Id using "${gsdDownloads}/`d'/ra_assets.dta", assert(match) nogen
	merge 1:1 ParentId1 Id using "${gsdDownloads}/`d'/ra_assets_prev.dta", assert(match) nogen
	rename ra_* *	
	rename (relevanceyn relevanceyn_pre prev) (own_yn own_prev_yn owntotal_prev)
	order own_prev_yn, before(owntotal_prev)
	label var own_yn "G.1 Does anyone in your household own today the items listed below."
	label var own_prev_yn "G.12 Did anyone in your household own the items listed below before the conflict started in December 2013. " 
	label define lassets 1 "Cars" 2 "Trucks" 3 "Motorcycle/motor" 4 "Rickshaw" 5 "Bicycle" 6 "Canoe or boat" 7 "Plough"	8 "Television" 9 "Satellite dish" 10 "DVD or CD player" 11 "Radio or transistor" 12 "Mobile phone" 13 "Computer or laptop"	14 "Refrigerator" 15 "Washing machine" 16 "Fan" 17 "Air cooler or air conditioner" 18 "Mattress or bed" 19 "Mosquito net" 20 "Electric ironer" 21 "Hoe, spade or axe"
	label val Id lassets
	save "${gsdTemp}/assets_raw_`d'.dta", replace
}
*append
use "${gsdTemp}/assets_raw_CRS.dta" , clear
tostring sellall_sp sellnew_sp, replace
append using "${gsdTemp}/assets_raw_HFSSSW4.dta"
drop sellall_sp sellnew_sp
*label
rename Id index
label var index "Asset"
*keep only interviews from the main dataset
merge m:1 ParentId1 using "${gsdTemp}/hh_raw.dta", nogen assert(match master) keep(match) keepusing(dataset)
order ParentId1, last
save "${gsdTemp}/assets_raw.dta" , replace

