*This do files matches wave 4 households with Wave 1 and 2 households
*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}
*do "${gsdDo}/fDistance.do"

*prepare file with households interviewed in waves 1 and 2 to match
use "${gsdDataRaw}/Sample_W4_Final.dta", clear
keep s_ea_full hhh_name_s ea parent_key hh_list_s__1 hh_list_s__2 
rename (hh_list_s__1 hh_list_s__2) (hh_list_s__0  hh_list_s__1)
duplicates report, 
destring ea, replace
save "${gsdTemp}/match_w1w2.dta", replace
*merge sample data to collected data to extract the itnerview uuid from waves 1 and 2
use "${gsdTemp}/hh_raw.dta", clear
*keep identifying data to merge
keep if dataset==2
keep ParentId1 hhh_name_s hh_list_s__0 hh_list_s__1 hh_list_s__2  s_ea_full ea
*cleanup a bit
replace hhh_name_s=subinstr(hhh_name_s,`"""',"",.)
*merge households
merge 1:1 hhh_name_s s_ea_full ea using "${gsdTemp}/match_w1w2.dta", gen(merge1)
gen matched=(merge1==3)
keep if merge1==1 | merge1==3
*three households weren't matched
tab matched
*all the unmatched households could be manually identified 
replace parent_key="uuid:537d5d5a-79da-4b11-acd7-a44ccffb336f" if ParentId1=="7b76500fa26f4b10a49c46403a3f32ca"
replace parent_key="uuid:e806097f-9549-454e-a3fd-7ea9b8cd0edc" if ParentId1=="3e2a4f35d90b45b5af732ddd996e57ec"
replace parent_key="uuid:045a78dd-95a1-4de3-86f0-534815d29c66" if ParentId1=="12ee09ab689c429f8aa2439a19cecb68"
replace matched=1 if parent_key!=""
assert matched==1
keep ParentId1 parent_key
*there are a few duplicate parent_keys, most likely due to these households being taken from the listing, since they do not feature in the files of households interviewed in W1 or 2
*create a unique identified for these households
duplicates tag parent_key, gen(t)
gsort -t
gen n=_n
tostring n, replace
replace parent_key=subinstr(parent_key,"-",n,.) if inlist(t,1,2,3)
drop t n
duplicates report parent_key
*generate sample tag
*identify households from waves 1 2 and 4
merge 1:1 parent_key using "${gsdDataRaw}/W1W2MatchedIDs.dta" , nogen assert(match master using) keep(match master)
gen sample_W1W2W4=1 if (hhuid!="")
label var sample_W1W2W4 "Household interviewed in HFS Waves 1, 2, and 4"
drop hhuid
*identify households from wave 2
merge 1:1 parent_key using "${gsdDataRaw}/hhq_W2.dta" , nogen assert(match master using) keep(match master) keepusing(treat)
gen sample_W2W4=1 if !missing(treat)
label var sample_W2W4 "Household interviewed in HFS Waves 2 and 4"
drop treat
*identify households from wave 1
rename parent_key hhuid 
merge 1:1 hhuid using "${gsdDataRaw}/hhq_W1.dta" , nogen assert(match master using) keep(match master) keepusing(treat)
gen sample_W1W4=1 if !missing(treat)
label var sample_W1W4 "Household interviewed in HFS Waves 2 and 4"
rename hhuid parent_key
drop treat
*identify households from wave 4 only
egen insample=rowtotal(sample*)
gen sample_W4=1 if insample==0
label var sample_W4 "Household interviewed in HFS Wave 4 only"
drop insample
*consolidate these variables
gen panel=1 if sample_W1W2W4==1
replace panel=2 if sample_W2W4==1 & sample_W1W2W4!=1
replace panel=3 if sample_W1W4==1 & sample_W1W2W4!=1
replace panel=4 if sample_W4==1
assert !missing(panel)
label define lpanel 1 "Waves 1, 2, and 4" 2 "Waves 2 and 4" 3 "Waves 1 and 4" 4 "Wave 4, only" 
label val panel lpanel 
label var panel "Waves in which household was interviewed"
save "${gsdTemp}/hh_matchkeys.dta", replace
