clear all
set more off
set maxvar 10000
*Check if filepaths have been established using init.do
if "${gsdData}"=="" {
	display as error "Please run init.do first."
	error 1
}

*Download the data 
*	This cannot be run in the public do files, because the server name, username, 
*	and password required are ommitted due to confidentiality reasons.
local download = 0
if `download' == 1 { 
	run "${gsdDo}/api_download.do"
	api_download wbhfsssd, quid(...) quv(...) username(...) password(...) directory("${gsdDownloads}/HFSSSW4") curl("${gsdBin}")
	api_download wbhfsssd, quid(...) quv(...) username(...) password(...) directory("${gsdDownloads}/CRS") curl("${gsdBin}")
}
*** Temporary: declare name of survey to be used (only because the names are changing frequently at the moment)
global HFSSSW4 = "High Frequency Survey South Sudan Wave - 4 (Fieldwork)"
global CRS = "Crisis Recovery Survey - Fieldwork"
global available = "HFSSSW4 CRS"

*** Prepare Raw data (The do files perform the same actions for CRS and HFSSSW4 in parallel)
*prepare and append raw data
do "${gsdDo}/0-1-hhm.do"
do "${gsdDo}/0-2-0-hh.do"
do "${gsdDo}/0-3-food.do"
do "${gsdDo}/0-4-nonfood.do"
do "${gsdDo}/0-5-livestock.do"
do "${gsdDo}/0-6-assets.do"
do "${gsdDo}/0-7-prepare_panel.do"
do "${gsdDo}/0-8-0-weights_HFS.do"
*do "${gsdDo}/0-8-1-weights_CRS.do"
*create anonynomous IDs, (Note: Data is not anonymous yet, still contains some confidential info dropped in the prepare do file)
do "${gsdDo}/0-9-anonymize.do"
do "${gsdDo}/0-10-prepare.do"

***Create dashboard tracking data collection
*	(this can be disabled once data collection is completed by setting the local dashboard = 0)
*	The dashboard excel file must be manually placed in the output folder
*	This cannot be run in the publicly shared do files
local dashboard = 0
if `dashboard' == 1 { 
	do "${gsdDo}/0-0-Dashboard_HFSSSW4.do"
*	do "${gsdDo}/0-0-Dashboard_CRS.do"
}
***

